Qt 5.6 | Qt Bluetooth | C++ Classes | QLowEnergyController

Qt 5.6.2 Reference Documentation

# Obsolete Members for QLowEnergyController

The following members of class QLowEnergyController are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Functions

`(obsolete)` | QLowEnergyController(const QBluetoothAddress &remoteDevice, QObject *parent = Q_NULLPTR)
`(obsolete)` | QLowEnergyController(const QBluetoothAddress &remoteDevice, const QBluetoothAddress &localDevice, QObject *parent = Q_NULLPTR)

## Member Function Documentation

### QLowEnergyController::QLowEnergyController(const QBluetoothAddress &remoteDevice, QObject *parent = Q_NULLPTR)

Constructs a new instance of this class with parent.

The remoteDevice must contain the address of the remote Bluetooth Low Energy device to which this object should attempt to connect later on.

The controller uses the local default Bluetooth adapter for the connection management.

### QLowEnergyController::QLowEnergyController(const QBluetoothAddress &remoteDevice, const QBluetoothAddress &localDevice, QObject *parent = Q_NULLPTR)

Constructs a new instance of this class with parent.

The remoteDevice must contain the address of the remote Bluetooth Low Energy device to which this object should attempt to connect later on.

The connection is established via localDevice. If localDevice is invalid, the local default device is automatically selected. If localDevice specifies a local device that is not a local Bluetooth adapter, error() is set to InvalidBluetoothAdapterError once connectToDevice() is called.